<div>
    <h2 id="page-heading">
        <span>Input Fields</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-input-field" [routerLink]="['/input-field/new']">
            <fa-icon icon="plus"></fa-icon>
            <span>
            Create a new Input Field
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="inputFields?.length === 0">
        <span>No inputFields found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="inputFields && inputFields.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr>
                    <th scope="col" ><span>ID</span></th>
                    <th scope="col" ><span>Name</span></th>
                    <th scope="col" ><span>Label</span></th>
                    <th scope="col" ><span>Link</span></th>
                    <th scope="col" ><span>Case Step</span></th>
                    <th scope="col" ><span>Case Step Instance</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let inputField of inputFields ;trackBy: trackId">
                    <td><a [routerLink]="['/input-field', inputField.id, 'view']">{{ inputField.id }}</a></td>
                    <td>{{ inputField.name }}</td>
                    <td>{{ inputField.label }}</td>
                    <td>{{ inputField.link }}</td>
                    <td>
                        <div *ngIf="inputField.caseStep">
                            <a [routerLink]="['/case-step', inputField.caseStep?.id, 'view']" >{{ inputField.caseStep?.id }}</a>
                        </div>
                    </td>
                    <td>
                        <div *ngIf="inputField.caseStepInstance">
                            <a [routerLink]="['/case-step-instance', inputField.caseStepInstance?.id, 'view']" >{{ inputField.caseStepInstance?.id }}</a>
                        </div>
                    </td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/input-field', inputField.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/input-field', inputField.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(inputField)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
